From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/sdl2-mixer/
Date: Wed, 8 Feb 2023 01:04:05 +0000 (UTC) [thread overview]
Message-ID: <1675817698.5c9e85e3c601fc2d464720c54a6cb9ba3e701665.sam@gentoo> (raw)
commit: 5c9e85e3c601fc2d464720c54a6cb9ba3e701665
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 8 00:54:58 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Feb 8 00:54:58 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c9e85e3
media-libs/sdl2-mixer: add 2.6.3
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/sdl2-mixer/Manifest | 1 +
media-libs/sdl2-mixer/sdl2-mixer-2.6.3.ebuild | 105 ++++++++++++++++++++++++++
2 files changed, 106 insertions(+)
diff --git a/media-libs/sdl2-mixer/Manifest b/media-libs/sdl2-mixer/Manifest
index 61fa0d9c0640..5c52bb2ed71f 100644
--- a/media-libs/sdl2-mixer/Manifest
+++ b/media-libs/sdl2-mixer/Manifest
@@ -1,2 +1,3 @@
DIST SDL2_mixer-2.0.4.tar.gz 11125077 BLAKE2B ccb55020e360fa000e82807b8c4e2371228291943d2dc7371606834ca0f781d4e82581b5427e9902156bf3072208db4ec07e95a06f206e40ff530f432dd9e491 SHA512 98c56069640668aaececa63748de21fc8f243c7d06386c45c43d0ee472bbb2595ccda644d9886ce5b95c3a3dee3c0a96903cf9a89ddc18d38f041133470699a3
DIST SDL2_mixer-2.6.2.tar.gz 9934376 BLAKE2B 9cf378d03046389b3625b90ca7a4c34d9b80e0908bccef454adedc21f16f24d99acc0fc3522ba981be89d8c58c7a6e877e7d98c798b157529e2cb26141faec8c SHA512 16baa9d8b345bf0224538cbfb2ae9fc5d3deea2b454f41a98006c938fe7a65d5a8c84e28a76f98a4dd971c4fe5cf0219d8bf73331cf11f2702e01600eb197658
+DIST SDL2_mixer-2.6.3.tar.gz 9935069 BLAKE2B 9908bdc549300af05b4fbcbb6c0533913ae62bfa2f761118983e0da58a4bcd68c2d008fa5bbcd94b0141241e54f1cd507e275e2d4b637214b803dabdbc5b0250 SHA512 2e9da045d2fdab97236c3901b3d441834a67a47c8851ddfb817c9db6f23ed9fb355a5ef8d2158d0c9959a83934e8cd1b95db8a69eaddf8f7fcca115f01818740
diff --git a/media-libs/sdl2-mixer/sdl2-mixer-2.6.3.ebuild b/media-libs/sdl2-mixer/sdl2-mixer-2.6.3.ebuild
new file mode 100644
index 000000000000..35995b532df6
--- /dev/null
+++ b/media-libs/sdl2-mixer/sdl2-mixer-2.6.3.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="SDL2_mixer-${PV}"
+inherit multilib-minimal
+
+DESCRIPTION="Simple Direct Media Layer Mixer Library"
+HOMEPAGE="https://github.com/libsdl-org/SDL_mixer"
+SRC_URI="https://www.libsdl.org/projects/SDL_mixer/release/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="flac fluidsynth midi mod mp3 opus playtools static-libs timidity tremor vorbis +wav"
+REQUIRED_USE="
+ midi? ( || ( timidity fluidsynth ) )
+ timidity? ( midi )
+ fluidsynth? ( midi )
+ tremor? ( vorbis )
+"
+
+RDEPEND="
+ >=media-libs/libsdl2-2.0.7[${MULTILIB_USEDEP}]
+ flac? ( >=media-libs/flac-1.2.1-r5:=[${MULTILIB_USEDEP}] )
+ midi? (
+ fluidsynth? ( >=media-sound/fluidsynth-1.1.6-r1:=[${MULTILIB_USEDEP}] )
+ timidity? ( media-sound/timidity++ )
+ )
+ mod? ( >=media-libs/libmodplug-0.8.8.4-r1[${MULTILIB_USEDEP}] )
+ mp3? ( media-sound/mpg123[${MULTILIB_USEDEP}] )
+ opus? ( >=media-libs/opusfile-0.2 )
+ vorbis? (
+ tremor? ( >=media-libs/tremor-0_pre20130223[${MULTILIB_USEDEP}] )
+ !tremor? ( >=media-libs/libvorbis-1.3.3-r1[${MULTILIB_USEDEP}] )
+ )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(use_enable static-libs static)
+ --disable-sdltest
+ --enable-music-cmd
+ $(use_enable wav music-wave)
+ $(use_enable mod music-mod)
+ $(use_enable mod music-mod-modplug)
+ --disable-music-mod-modplug-shared
+ $(use_enable midi music-midi)
+ $(use_enable timidity music-midi-timidity)
+ $(use_enable fluidsynth music-midi-fluidsynth)
+ --disable-music-midi-fluidsynth-shared
+ $(use_enable vorbis music-ogg)
+ $(usex vorbis \
+ $(use_enable !tremor music-ogg-vorbis) \
+ --disable-music-ogg-vorbis)
+ --disable-music-ogg-vorbis-shared
+ $(use_enable tremor music-ogg-tremor)
+ --disable-music-ogg-tremor-shared
+ $(use_enable flac music-flac)
+ $(use_enable flac music-flac-libflac)
+ --disable-music-flac-libflac-shared
+ $(use_enable mp3 music-mp3)
+ $(use_enable mp3 music-mp3-mpg123)
+ --disable-music-mp3-mpg123-shared
+ $(use_enable opus music-opus)
+ --disable-music-opus-shared
+ )
+
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install
+ if multilib_is_native_abi && use playtools ; then
+ emake DESTDIR="${D}" install-bin
+ fi
+}
+
+multilib_src_install_all() {
+ dodoc {CHANGES,README}.txt
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ # bug #412035
+ if use midi && use fluidsynth; then
+ ewarn "FluidSynth support requires you to set the SDL_SOUNDFONTS"
+ ewarn "environment variable to the location of a SoundFont file"
+ ewarn "unless the game or application happens to do this for you."
+ if use timidity; then
+ ewarn "Failing to do so will result in Timidity being used instead."
+ else
+ ewarn "Failing to do so will result in silence."
+ fi
+ fi
+}
next reply other threads:[~2023-02-08 1:04 UTC|newest]
Thread overview: 50+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-02-08 1:04 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-19 23:08 [gentoo-commits] repo/gentoo:master commit in: media-libs/sdl2-mixer/ Ionen Wolkens
2023-12-29 23:32 Sam James
2023-09-23 18:06 James Le Cuirot
2023-03-26 16:54 Arthur Zamarin
2023-03-04 9:34 Arthur Zamarin
2023-03-04 8:50 Arthur Zamarin
2023-03-04 6:15 Arthur Zamarin
2023-03-04 6:00 Arthur Zamarin
2023-03-04 5:47 Arthur Zamarin
2023-03-04 5:47 Arthur Zamarin
2023-01-17 4:31 Ionen Wolkens
2023-01-07 8:12 Sam James
2022-07-19 1:09 Sam James
2022-06-16 16:30 Sam James
2021-12-30 20:06 Arthur Zamarin
2021-12-30 18:46 Arthur Zamarin
2021-11-29 10:22 Arthur Zamarin
2021-11-29 7:39 Arthur Zamarin
2021-11-19 15:36 Sam James
2020-12-17 3:58 Sam James
2020-11-30 21:12 Sergei Trofimovich
2020-10-06 13:16 Sam James
2020-10-03 12:16 Sergei Trofimovich
2020-09-30 21:15 Sam James
2020-06-10 3:21 Matt Turner
2020-06-09 17:07 Sergei Trofimovich
2020-06-08 16:34 Mart Raudsepp
2020-06-08 14:18 Michał Górny
2020-06-08 13:18 Michał Górny
2020-03-20 21:53 Matt Turner
2019-03-10 22:46 Andreas Sturmlechner
2019-01-02 10:04 Mikle Kolyada
2018-12-31 16:43 Thomas Deutschmann
2018-11-02 16:11 Lars Wendler
2018-09-16 13:15 Mikle Kolyada
2018-09-09 1:12 Thomas Deutschmann
2018-09-01 20:17 Andreas Sturmlechner
2018-09-01 20:17 Andreas Sturmlechner
2018-09-01 14:25 James Le Cuirot
2018-09-01 14:25 James Le Cuirot
2018-07-02 11:22 Jeroen Roovers
2017-10-25 7:47 Lars Wendler
2016-02-14 10:11 Agostino Sarubbo
2016-02-13 15:33 Agostino Sarubbo
2016-01-11 6:51 Michael Sterrett
2016-01-10 15:06 Michael Sterrett
2016-01-06 16:40 Michael Sterrett
2016-01-05 0:36 Michael Sterrett
2016-01-03 18:16 Michael Sterrett
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1675817698.5c9e85e3c601fc2d464720c54a6cb9ba3e701665.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox